scala.xml.parsing

# DefaultMarkupHandler

#### abstract class DefaultMarkupHandler extends MarkupHandler

default implementation of markup handler always returns NodeSeq.Empty

Source
  DefaultMarkupHandler.scala

Linear Supertypes
MarkupHandler, Logged, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. DefaultMarkupHandler
2. MarkupHandler
3. Logged
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DefaultMarkupHandler()

### Abstract Value Members

1. #### abstract def reportSyntaxError(pos: Int, str: String): Unit

   Definition Classes
     MarkupHandler

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

7. #### def attListDecl(name: String, attList: List[AttrDecl]): Unit

   Definition Classes
     MarkupHandler

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()
   Note

     not specified by SLS as a member of AnyRef

9. #### def comment(pos: Int, comment: String): NodeSeq

   callback method invoked by MarkupParser after parsing comment.

   callback method invoked by MarkupParser after parsing comment.

   Definition Classes
     DefaultMarkupHandler → MarkupHandler

10. #### var decls: List[Decl]

    Definition Classes
      MarkupHandler

11. #### def elem(pos: Int, pre: String, label: String, attrs: MetaData, scope: NamespaceBinding, args: NodeSeq): NodeSeq

    callback method invoked by MarkupParser after parsing an element, between the elemStart and elemEnd callbacks

    callback method invoked by MarkupParser after parsing an element, between the elemStart and elemEnd callbacks

    pos

      the position in the source file

    pre

      the prefix

    label

      the local name

    attrs

      the attributes (metadata)

    args

      the children of this element

    returns

      ...

    Definition Classes
      DefaultMarkupHandler → MarkupHandler

12. #### def elemDecl(n: String, cmstr: String): Unit

    Definition Classes
      MarkupHandler

13. #### def elemEnd(pos: Int, pre: String, label: String): Unit

    callback method invoked by MarkupParser after end-tag of element.

    callback method invoked by MarkupParser after end-tag of element.

    pos

      the position in the source file

    pre

      the prefix

    label

      the local name

    Definition Classes
      MarkupHandler

14. #### def elemStart(pos: Int, pre: String, label: String, attrs: MetaData, scope: NamespaceBinding): Unit

    callback method invoked by MarkupParser after start-tag of element.

    callback method invoked by MarkupParser after start-tag of element.

    pos

      the position in the sourcefile

    pre

      the prefix

    label

      the local name

    attrs

      the attributes (metadata)

    Definition Classes
      MarkupHandler

15. #### def endDTD(n: String): Unit

    Definition Classes
      MarkupHandler

16. #### var ent: Map[String, EntityDecl]

    Definition Classes
      MarkupHandler

17. #### def entityRef(pos: Int, n: String): NodeSeq

    callback method invoked by MarkupParser after parsing entity ref.

    callback method invoked by MarkupParser after parsing entity ref.

    Definition Classes
      DefaultMarkupHandler → MarkupHandler
    To do

      expanding entity references

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

21. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

22. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

24. #### val isValidating: Boolean

    returns true is this markup handler is validating

    returns true is this markup handler is validating

    Definition Classes
      MarkupHandler

25. #### def log(msg: String): Unit

    This method should log the message given as argument somewhere as a side-effect.

    This method should log the message given as argument somewhere as a side-effect.

    msg

      message to be logged

    Definition Classes
      Logged

26. #### def lookupElemDecl(Label: String): ElemDecl

    Definition Classes
      MarkupHandler

27. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

28. #### def notationDecl(notat: String, extID: ExternalID): Unit

    Definition Classes
      MarkupHandler

29. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

30. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

31. #### def parameterEntityDecl(name: String, edef: EntityDef): Unit

    Definition Classes
      MarkupHandler

32. #### def parsedEntityDecl(name: String, edef: EntityDef): Unit

    Definition Classes
      MarkupHandler

33. #### def peReference(name: String): Unit

    Definition Classes
      MarkupHandler

34. #### def procInstr(pos: Int, target: String, txt: String): NodeSeq

    callback method invoked by MarkupParser after parsing PI.

    callback method invoked by MarkupParser after parsing PI.

    Definition Classes
      DefaultMarkupHandler → MarkupHandler

35. #### def replacementText(entityName: String): Source

    Definition Classes
      MarkupHandler

36. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

37. #### def text(pos: Int, txt: String): NodeSeq

    callback method invoked by MarkupParser after parsing text.

    callback method invoked by MarkupParser after parsing text.

    Definition Classes
      DefaultMarkupHandler → MarkupHandler

38. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

39. #### def unparsedEntityDecl(name: String, extID: ExternalID, notat: String): Unit

    Definition Classes
      MarkupHandler

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from MarkupHandler

### Inherited from Logged

### Inherited from AnyRef

### Inherited from Any